Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 132258 - File added shown incorrectly in history
File added shown incorrectly in history
Status: VERIFIED FIXED
Product: versioncontrol
Classification: Unclassified
Component: Mercurial
6.x
All All
: P3 (vote)
: 6.x
Assigned To: issues@versioncontrol
issues@versioncontrol
61fixes2-fixed
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-07 21:45 UTC by Jesse Glick
Modified: 2008-07-10 15:01 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
Screenshot (198.44 KB, image/png)
2008-04-07 21:46 UTC, Jesse Glick
Details
main_work_76925_8b4760a4f7c2-showhistory-diff-add-del-copy.patch (4.40 KB, text/plain)
2008-04-09 15:55 UTC, John Rice
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Glick 2008-04-07 21:45:23 UTC
64a568d5a4df. Looked up history of ActiveConfigAction.java. Selected the file itself in the first revision where it was
added. Diff window showed the new file on the right, but diffs to another file on the left, which of course makes no sense.
Comment 1 Jesse Glick 2008-04-07 21:46:50 UTC
Created attachment 59798 [details]
Screenshot
Comment 2 John Rice 2008-04-09 15:55:45 UTC
Created attachment 59912 [details]
main_work_76925_8b4760a4f7c2-showhistory-diff-add-del-copy.patch
Comment 3 John Rice 2008-04-09 15:59:03 UTC
Changed show diff code to take account of revision status and do the right thing for added, deleted and copied files.

Modified: (Selected Rev -1): Selected Rev
Added:   -1: Selected Rev
Deleted: (Selected Rev -1): -1
Copied:  -1: Selected Rev

changeset:   77695:0803fbdc5168
tag:         tip
user:        jrice@netbeans.org
date:        Wed Apr 09 15:50:27 2008 +0100
summary:     #132258: File added Show History Diff incorrect, fixed to handle added, del and copied files correctly

Comment 4 rbalada 2008-06-03 16:23:52 UTC
Backported into release61_fixes repository as http://hg.netbeans.org/release61_fixes/rev/4df49a9e7e72
Comment 5 Peter Pis 2008-06-04 13:31:36 UTC
Verified.
Comment 6 Peter Pis 2008-06-19 10:28:06 UTC
Verified with patch2.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo